Echo OFF
CLS
Echo          The OPUS Computer-Based Conversation System, version 0.0
Echo                        Installation Batch File.
Echo 


REM  Check on a path
IF "-%1-" == "--" goto NoParm

REM  Make sure all the files are available

if   exist %1\OEXE_000.ARC goto Got_EXE
Echo I need the file %1\OEXE_000.ARC
goto NoFile

:Got_EXE
if   exist %1\OCTL_000.arc goto Got_CTL
Echo I need the file %1\OCTL_000.ARC
goto NoFile

:Got_CTL
if   exist %1\OMSC_000.ARC goto Got_MISC
Echo I need the file %1\OMSC_000.ARC
goto NoFile

:Got_MISC
if   exist %1\OHLP_000.ARC goto Got_HELP
Echo I need the file %1\OHLP_000.ARC
goto NoFile

:Got_HELP
if   exist %1\OCOMM*.ARC goto Got_COMM
Echo I cannot find the OPUSCOMM archive. Opus WILL NOT run without
Echo this I/O driver. Installation will continue, but please make
Echo sure that you get a copy of this file.
Pause

:Got_COMM
if   exist %1\OREF_000.ARC goto Got_REF
Echo You really need to get a copy of OREF_000.ARC.  That archive contains
Echo sysop documentation, and you will be very lost without that material.
Pause

:Got_REF
Echo Creating SUB-DIRECTORIES.
Echo 
Echo Note: Dos will display an "error" message if I try to create a
Echo       sub-directory you already have.  This is normal and not
Echo       really an error.
Echo 
C:
cd   C:\
md   C:\Opus
md   C:\Opus\Misc
md   C:\Opus\Hlp
md   C:\Opus\Doc
Echo 
Echo Next we'll extract the material from the various archive files and
Echo put them into their proper sub-directories.
Echo 

cd   C:\Opus
copy %1\arce.exe

cd   C:\Opus\Misc
C:\Opus\ARCE %1\OMSC_000.ARC
if   ERRORLEVEL 1 goto :BadArc
Copy *.Doc C:\Opus\Doc
Del  *.Doc

cd   C:\Opus
C:\Opus\ARCE %1\OEXE_000.ARC
if   ERRORLEVEL 1 goto :BadArc

C:\Opus\ARCE %1\OCTL_000.ARC
if   ERRORLEVEL 1 goto :BadArc

C:\Opus\ARCE C:\Opus\Misc\PRIV.ARC
Copy *.Doc C:\Opus\Doc
Del  *.Doc

cd   C:\Opus\Doc
C:\Opus\ARCE %1\OREF_000.ARC
if   ERRORLEVEL 1 goto :BadArc

cd   C:\Opus\Hlp
C:\Opus\ARCE %1\OHLP_000.ARC
if   ERRORLEVEL 1 goto :BadArc
Copy *.Doc C:\Opus\Doc
Del  *.Doc


Echo I will now run a program to create your user record file.
Echo If you are currently running a Fido System you will need to
Echo skip this step and follow the directions that follow.
Echo 
ask yn Do you wish to skip this step (y/n)?
if errorlevel 2 goto :newsys
if errorlevel 1 goto :Fidosys

:Newsys
echo No
Echo 
_newopus C:

cd   C:\Opus
copy %1\System.bbs
copy %1\System1.bbs


md   C:\Opus\Msg
cd   C:\Opus\Msg
copy %1\Message.Dir Dir.Bbs

md   C:\Opus\Comments
cd   C:\Opus\Comments
copy %1\Message0.dir Dir.Bbs

md   C:\Opus\File
cd   C:\Opus\File
copy %1\file.dir dir.bbs

cd   C:\Opus
copy %1\Mail.sys

goto :Finished

:Fidosys
Echo Yes
Echo 
Echo Because you already run a Fido system, you will need to copy
Echo your USER.BBS, all the SYSTEMx.BBS files and MAIL.SYS to C:\OPUS.
Echo 
Echo Opus uses some extended entries in the System files, so
Echo you should edit all of your system files using the Sysop "1"
Echo command to set the new entries properly.
Echo 
Goto :Finished

:BadArc
Echo 
Echo We seem to have a problem.  This routine uses ARCE to extract files
Echo from the archives that make up your installation kit.
Echo 
Echo There is an error being reported back from DOS after the call to
Echo that program.  Maybe some ARCE-supplied message on your screen will
Echo tell you what's wrong.
Echo 
Pause
goto End

:NoFile
Echo 
Echo Opus installation requires these files:
Echo 
Echo 
Echo 
Echo                   OEXE_000.ARC
Echo 
Echo                   OCTL_000.ARC
Echo 
Echo                   OMSC_000.ARC
Echo 
Echo                   OREF_000.ARC
Echo 
Echo                   OHLP_000.ARC
Echo 
Echo                   OCOMM_???.ARC
Goto :End

:NoParm
Echo This installation routine will install Opus on DRIVE C:.  If that's
Echo not where you want Opus, you will have to manually edit the batch file.
Echo 
Echo To begin, type MAKEOPUS followed by the name of the sub-directory
Echo where you have the Opus "ARC" files.
echo 
Echo For example, if you have the archives on C:\MODEM\ then you
Echo need to begin this routine again by typing this:
echo 
Echo                    MAKEOPUS C:\MODEM
Echo 
Echo         Note that there is no Trailing Backslash.
Echo 
Echo Please try again.
Echo 
goto End

:Finished
cd c:\Opus
Copy %1\READ.ME C:\Opus
Echo 
Echo This part of the Opus Installation is complete.  Now, please read
Echo the READ.ME file in the Opus root directory for any late-breaking
Echo news that didn't make it into this batch file.
Echo 
Echo There's documentation on Opus and its control file in the DOC 
Echo sub-directory.  In addition, the control file is crammed full of
Echo information which we hope will be helpful.
Echo 
Echo Welcome to the Opus Family.
Echo 
:End
